Subject: bug#6069: 23.1.96; sxhash, big uints and overflow-error in custom-file

From: David Reitter <[email-masked]>
Date: Sun, 27 Mar 2011 17:16:56 -0400

On Mar 27, 2011, at 4:46 PM, Stefan Monnier wrote:

>> - I stored it in a customization variable, which was subsequently
>>  saved to my custom-file.
> 
> What was the use of this sxhash value in your customization?

I allow users to customize the toolbar through a standard graphical interface.  This customization is specific to the toolbar set by the major mode (and other contextual factors).  Thus, I associate a toolbar setting with a hash over the keys used in the tool-bar-map.  This is not ideal (as other keymaps may also define icons that appear in the toolbar), but works reasonably well. 

- D